'use strict';

var React = require('react');

module.exports = React.createClass({
  displayName: 'StringField',

  propTypes: {
    label: React.PropTypes.string.isRequired,
    value: React.PropTypes.string.isRequired,
    onChange: React.PropTypes.func.isRequired
  },

  getDefaultProps: function getDefaultProps() {
    return {
      value: ''
    };
  },

  getStyles: function getStyles() {
    return {
      description: {
        marginTop: '-5px',
        color: '#777'
      }
    };
  },

  onChange: function onChange(e) {
    var value = e.target.value;

    this.props.onChange({
      target: {
        label: this.props.label,
        value: value
      }
    });
  },

  render: function render() {
    var attribute = this.props.attribute;
    var styles = this.getStyles();

    return React.createElement(
      'div',
      { className: 'form-group' },
      React.createElement(
        'label',
        { className: 'control-label' },
        attribute.displayName || this.props.label
      ),
      React.createElement(
        'p',
        { style: styles.description },
        attribute.description
      ),
      React.createElement('input', {
        type: 'text',
        className: 'form-control',
        value: this.props.value,
        placeholder: attribute.placeholder,
        onChange: this.onChange })
    );
  }
});